import { stemTypeList, questionNumberTypeList, scoreTypeList, switchOption } from './common';

// 对话题数据模板
export const dialogueData = {
  type: 'dialogue', // 题型
  stem: '', // 题干
  description: '', // 描述
  dialogue: '', // 对话内容，用于编辑显示
  option_list: [], // 选项
  answer: { score: 0, score_type: scoreTypeList[0].value, answer_list: [] }, // 答案
  // 题型属性
  property: {
    stem_type: stemTypeList[0].value, // 题干类型
    question_number: '1', // 题号
    score: 1, // 分值
    is_enable_description: switchOption[0].value, // 描述
    is_enable_voice_answer: switchOption[0].value, // 语音作答
    score_type: scoreTypeList[0].value, // 分值类型
  },
  // 其他属性
  other: {
    question_number_type: questionNumberTypeList[0].value, // 题号类型
  },
};
